Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network80.2.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
80.2.32.0
Broadcast address
80.2.47.255
First usable
80.2.32.1
Last usable
80.2.47.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 50022000 · Integer 1342316544 to 1342320639
Reverse DNS zones
32.2.80.in-addr.arpa
33.2.80.in-addr.arpa
34.2.80.in-addr.arpa
35.2.80.in-addr.arpa
36.2.80.in-addr.arpa
37.2.80.in-addr.arpa
38.2.80.in-addr.arpa
39.2.80.in-addr.arpa
40.2.80.in-addr.arpa
41.2.80.in-addr.arpa
42.2.80.in-addr.arpa
43.2.80.in-addr.arpa
44.2.80.in-addr.arpa
45.2.80.in-addr.arpa
46.2.80.in-addr.arpa
47.2.80.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010000.00000010.00100000.0000000080.2.32.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01010000.00000010.00100000.0000000080.2.32.0
Broadcast01010000.00000010.00101111.1111111180.2.47.255
Split into smaller subnets/27

80.2.32.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
180.2.32.0/2780.2.32.1 to 80.2.32.3080.2.32.3130
280.2.32.32/2780.2.32.33 to 80.2.32.6280.2.32.6330
380.2.32.64/2780.2.32.65 to 80.2.32.9480.2.32.9530
480.2.32.96/2780.2.32.97 to 80.2.32.12680.2.32.12730
580.2.32.128/2780.2.32.129 to 80.2.32.15880.2.32.15930
680.2.32.160/2780.2.32.161 to 80.2.32.19080.2.32.19130
780.2.32.192/2780.2.32.193 to 80.2.32.22280.2.32.22330
880.2.32.224/2780.2.32.225 to 80.2.32.25480.2.32.25530
980.2.33.0/2780.2.33.1 to 80.2.33.3080.2.33.3130
1080.2.33.32/2780.2.33.33 to 80.2.33.6280.2.33.6330
1180.2.33.64/2780.2.33.65 to 80.2.33.9480.2.33.9530
1280.2.33.96/2780.2.33.97 to 80.2.33.12680.2.33.12730
1380.2.33.128/2780.2.33.129 to 80.2.33.15880.2.33.15930
1480.2.33.160/2780.2.33.161 to 80.2.33.19080.2.33.19130
1580.2.33.192/2780.2.33.193 to 80.2.33.22280.2.33.22330
1680.2.33.224/2780.2.33.225 to 80.2.33.25480.2.33.25530
1780.2.34.0/2780.2.34.1 to 80.2.34.3080.2.34.3130
1880.2.34.32/2780.2.34.33 to 80.2.34.6280.2.34.6330
1980.2.34.64/2780.2.34.65 to 80.2.34.9480.2.34.9530
2080.2.34.96/2780.2.34.97 to 80.2.34.12680.2.34.12730
2180.2.34.128/2780.2.34.129 to 80.2.34.15880.2.34.15930
2280.2.34.160/2780.2.34.161 to 80.2.34.19080.2.34.19130
2380.2.34.192/2780.2.34.193 to 80.2.34.22280.2.34.22330
2480.2.34.224/2780.2.34.225 to 80.2.34.25480.2.34.25530
2580.2.35.0/2780.2.35.1 to 80.2.35.3080.2.35.3130
2680.2.35.32/2780.2.35.33 to 80.2.35.6280.2.35.6330
2780.2.35.64/2780.2.35.65 to 80.2.35.9480.2.35.9530
2880.2.35.96/2780.2.35.97 to 80.2.35.12680.2.35.12730
2980.2.35.128/2780.2.35.129 to 80.2.35.15880.2.35.15930
3080.2.35.160/2780.2.35.161 to 80.2.35.19080.2.35.19130
3180.2.35.192/2780.2.35.193 to 80.2.35.22280.2.35.22330
3280.2.35.224/2780.2.35.225 to 80.2.35.25480.2.35.25530
3380.2.36.0/2780.2.36.1 to 80.2.36.3080.2.36.3130
3480.2.36.32/2780.2.36.33 to 80.2.36.6280.2.36.6330
3580.2.36.64/2780.2.36.65 to 80.2.36.9480.2.36.9530
3680.2.36.96/2780.2.36.97 to 80.2.36.12680.2.36.12730
3780.2.36.128/2780.2.36.129 to 80.2.36.15880.2.36.15930
3880.2.36.160/2780.2.36.161 to 80.2.36.19080.2.36.19130
3980.2.36.192/2780.2.36.193 to 80.2.36.22280.2.36.22330
4080.2.36.224/2780.2.36.225 to 80.2.36.25480.2.36.25530
4180.2.37.0/2780.2.37.1 to 80.2.37.3080.2.37.3130
4280.2.37.32/2780.2.37.33 to 80.2.37.6280.2.37.6330
4380.2.37.64/2780.2.37.65 to 80.2.37.9480.2.37.9530
4480.2.37.96/2780.2.37.97 to 80.2.37.12680.2.37.12730
4580.2.37.128/2780.2.37.129 to 80.2.37.15880.2.37.15930
4680.2.37.160/2780.2.37.161 to 80.2.37.19080.2.37.19130
4780.2.37.192/2780.2.37.193 to 80.2.37.22280.2.37.22330
4880.2.37.224/2780.2.37.225 to 80.2.37.25480.2.37.25530
4980.2.38.0/2780.2.38.1 to 80.2.38.3080.2.38.3130
5080.2.38.32/2780.2.38.33 to 80.2.38.6280.2.38.6330
5180.2.38.64/2780.2.38.65 to 80.2.38.9480.2.38.9530
5280.2.38.96/2780.2.38.97 to 80.2.38.12680.2.38.12730
5380.2.38.128/2780.2.38.129 to 80.2.38.15880.2.38.15930
5480.2.38.160/2780.2.38.161 to 80.2.38.19080.2.38.19130
5580.2.38.192/2780.2.38.193 to 80.2.38.22280.2.38.22330
5680.2.38.224/2780.2.38.225 to 80.2.38.25480.2.38.25530
5780.2.39.0/2780.2.39.1 to 80.2.39.3080.2.39.3130
5880.2.39.32/2780.2.39.33 to 80.2.39.6280.2.39.6330
5980.2.39.64/2780.2.39.65 to 80.2.39.9480.2.39.9530
6080.2.39.96/2780.2.39.97 to 80.2.39.12680.2.39.12730
6180.2.39.128/2780.2.39.129 to 80.2.39.15880.2.39.15930
6280.2.39.160/2780.2.39.161 to 80.2.39.19080.2.39.19130
6380.2.39.192/2780.2.39.193 to 80.2.39.22280.2.39.22330
6480.2.39.224/2780.2.39.225 to 80.2.39.25480.2.39.25530
6580.2.40.0/2780.2.40.1 to 80.2.40.3080.2.40.3130
6680.2.40.32/2780.2.40.33 to 80.2.40.6280.2.40.6330
6780.2.40.64/2780.2.40.65 to 80.2.40.9480.2.40.9530
6880.2.40.96/2780.2.40.97 to 80.2.40.12680.2.40.12730
6980.2.40.128/2780.2.40.129 to 80.2.40.15880.2.40.15930
7080.2.40.160/2780.2.40.161 to 80.2.40.19080.2.40.19130
7180.2.40.192/2780.2.40.193 to 80.2.40.22280.2.40.22330
7280.2.40.224/2780.2.40.225 to 80.2.40.25480.2.40.25530
7380.2.41.0/2780.2.41.1 to 80.2.41.3080.2.41.3130
7480.2.41.32/2780.2.41.33 to 80.2.41.6280.2.41.6330
7580.2.41.64/2780.2.41.65 to 80.2.41.9480.2.41.9530
7680.2.41.96/2780.2.41.97 to 80.2.41.12680.2.41.12730
7780.2.41.128/2780.2.41.129 to 80.2.41.15880.2.41.15930
7880.2.41.160/2780.2.41.161 to 80.2.41.19080.2.41.19130
7980.2.41.192/2780.2.41.193 to 80.2.41.22280.2.41.22330
8080.2.41.224/2780.2.41.225 to 80.2.41.25480.2.41.25530
8180.2.42.0/2780.2.42.1 to 80.2.42.3080.2.42.3130
8280.2.42.32/2780.2.42.33 to 80.2.42.6280.2.42.6330
8380.2.42.64/2780.2.42.65 to 80.2.42.9480.2.42.9530
8480.2.42.96/2780.2.42.97 to 80.2.42.12680.2.42.12730
8580.2.42.128/2780.2.42.129 to 80.2.42.15880.2.42.15930
8680.2.42.160/2780.2.42.161 to 80.2.42.19080.2.42.19130
8780.2.42.192/2780.2.42.193 to 80.2.42.22280.2.42.22330
8880.2.42.224/2780.2.42.225 to 80.2.42.25480.2.42.25530
8980.2.43.0/2780.2.43.1 to 80.2.43.3080.2.43.3130
9080.2.43.32/2780.2.43.33 to 80.2.43.6280.2.43.6330
9180.2.43.64/2780.2.43.65 to 80.2.43.9480.2.43.9530
9280.2.43.96/2780.2.43.97 to 80.2.43.12680.2.43.12730
9380.2.43.128/2780.2.43.129 to 80.2.43.15880.2.43.15930
9480.2.43.160/2780.2.43.161 to 80.2.43.19080.2.43.19130
9580.2.43.192/2780.2.43.193 to 80.2.43.22280.2.43.22330
9680.2.43.224/2780.2.43.225 to 80.2.43.25480.2.43.25530
9780.2.44.0/2780.2.44.1 to 80.2.44.3080.2.44.3130
9880.2.44.32/2780.2.44.33 to 80.2.44.6280.2.44.6330
9980.2.44.64/2780.2.44.65 to 80.2.44.9480.2.44.9530
10080.2.44.96/2780.2.44.97 to 80.2.44.12680.2.44.12730
10180.2.44.128/2780.2.44.129 to 80.2.44.15880.2.44.15930
10280.2.44.160/2780.2.44.161 to 80.2.44.19080.2.44.19130
10380.2.44.192/2780.2.44.193 to 80.2.44.22280.2.44.22330
10480.2.44.224/2780.2.44.225 to 80.2.44.25480.2.44.25530
10580.2.45.0/2780.2.45.1 to 80.2.45.3080.2.45.3130
10680.2.45.32/2780.2.45.33 to 80.2.45.6280.2.45.6330
10780.2.45.64/2780.2.45.65 to 80.2.45.9480.2.45.9530
10880.2.45.96/2780.2.45.97 to 80.2.45.12680.2.45.12730
10980.2.45.128/2780.2.45.129 to 80.2.45.15880.2.45.15930
11080.2.45.160/2780.2.45.161 to 80.2.45.19080.2.45.19130
11180.2.45.192/2780.2.45.193 to 80.2.45.22280.2.45.22330
11280.2.45.224/2780.2.45.225 to 80.2.45.25480.2.45.25530
11380.2.46.0/2780.2.46.1 to 80.2.46.3080.2.46.3130
11480.2.46.32/2780.2.46.33 to 80.2.46.6280.2.46.6330
11580.2.46.64/2780.2.46.65 to 80.2.46.9480.2.46.9530
11680.2.46.96/2780.2.46.97 to 80.2.46.12680.2.46.12730
11780.2.46.128/2780.2.46.129 to 80.2.46.15880.2.46.15930
11880.2.46.160/2780.2.46.161 to 80.2.46.19080.2.46.19130
11980.2.46.192/2780.2.46.193 to 80.2.46.22280.2.46.22330
12080.2.46.224/2780.2.46.225 to 80.2.46.25480.2.46.25530
12180.2.47.0/2780.2.47.1 to 80.2.47.3080.2.47.3130
12280.2.47.32/2780.2.47.33 to 80.2.47.6280.2.47.6330
12380.2.47.64/2780.2.47.65 to 80.2.47.9480.2.47.9530
12480.2.47.96/2780.2.47.97 to 80.2.47.12680.2.47.12730
12580.2.47.128/2780.2.47.129 to 80.2.47.15880.2.47.15930
12680.2.47.160/2780.2.47.161 to 80.2.47.19080.2.47.19130
12780.2.47.192/2780.2.47.193 to 80.2.47.22280.2.47.22330
12880.2.47.224/2780.2.47.225 to 80.2.47.25480.2.47.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses